# ChildPipe Struct Reference

`#include <BasicProcess.h>`

Collaboration diagram for ChildPipe:

[legend]
List of all members.

## Public Member Functions

| ChildPipe (int direction, int fd)

## Public Attributes

BasicPipe | pipe
int | direction
int | fd

## Constructor & Destructor Documentation

ChildPipe::ChildPipe | ( | int | direction,
|  | int | fd
| ) | `[inline]`

## Member Data Documentation

int ChildPipe::direction

int ChildPipe::fd

BasicPipe ChildPipe::pipe

The documentation for this struct was generated from the following file:

- BasicProcess.h